// include this in the class methods deinitions to 
// use IsY8(), GetPlaneWidthSubsampling(plane)
// and GetPlaneHeightSubsampling(plane) in 2.5 and 2.6 versions
// without raising compile errors. 

bool IsY8(){
#ifdef AVISYNTH_VERSION_2_6
		return vi.IsY8();}
#else 
	return false; }
#endif

	int GetPlaneWidthSubsampling(int pl){
#ifdef AVISYNTH_VERSION_2_6
		return vi.GetPlaneWidthSubsampling(pl);}
#else 
	return pl == 0 ? 0 : 1; }
#endif	

	int GetPlaneHeightSubsampling(int pl){
#ifdef AVISYNTH_VERSION_2_6
		return vi.GetPlaneHeightSubsampling(pl);}
#else 
	return pl == 0 ? 0 : 1;  }
#endif